package com.goafanti.order.enums;

import java.util.HashMap;
import java.util.Map;

public enum AuditState {
	/** 等待审核 **/
	WAIT_AUDIT(0,"WAIT_AUDIT"),
	/** 审核通过 **/
	AUDIT_SUCCESS(1,"AUDIT_SUCCESS"),
	/** 审核不通过 **/
	AUDIT_FAIL(2,"AUDIT_FAIL"),
	/** 无效 **/
	INVALID(10, "INVALID");
	
	private AuditState(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, AuditState> status = new HashMap<Integer, AuditState>();

	static {
		for (AuditState value : AuditState.values()) {
			status.put(value.getCode(), value);
		}
	}
	public static AuditState getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return INVALID;
	}
	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}
	private Integer	code;
	private String	desc;
	public Integer getCode() {
		return code;
	}
	public void setCode(Integer code) {
		this.code = code;
	}
	public String getDesc() {
		return desc;
	}
	public void setDesc(String desc) {
		this.desc = desc;
	}
}
